「Linux」で「Canon」のレーザープリンタ「LBP-250」を使って、かつLAN内のWindowsXP機と共有したいのですが、可能ですか? できれば「Ubuntu 9.10 Netbook Remix」で使いたいのですがほかのディストリビューションでもかまいません。ちなみに「Linux」導入は初めてです。

回答の条件
  • URL必須
  • 1人10回まで
  • 登録:2009/11/22 15:41:48
  • 終了:2009/11/29 15:45:02

ベストアンサー

id:gogg45 No.3

gogg45回答回数117ベストアンサー獲得回数182009/11/23 18:51:14

ポイント26pt

Windows2000がプリインストールされており、付属のケーブルが使える中古のパソコンを用意して、Windows2000用のプリンタドライバをインストールし、プリンタサーバにするのが確実だと思います。

そうすればXPからもVistaや7からも使えるんじゃないでしょうか。

> プリントサーバの方が楽かと。

> http://buffalo.jp/products/catalog/network/printserver.html

いや、そこにLBP-250対応のプリンタサーバは無いし^^

以下のようにIO-DATAとBUFFALOにはLBP-250対応のプリントサーバないようです。

http://www.iodata.jp/support/qanda/answer/s6971.htm

http://buffalo.jp/qa/pserver/b04i0010.html

> レーザプリンタの一覧が下部に有るだけで、上部の個別ドライバの対象品には有りません。

さすがに対応プリンタくらいは見てました。

Ghostscriptなどでいけるんじゃないかと思い「がんばってください」と書いたのですが、キヤノン独自仕様で難しいらしいですね。

正直なところ、XP以降で使うのであればLBP-250は諦めたほうがいいと思うのですが、どうしてもLBP-250を使うしかないのであれば、先に書いたようにWindows2000をプリンタサーバにするしかないと思います。

id:nandemokiitemiru

既存のプリンタサーバじゃあ無理で、やはりWindows2000しかないですか。いろいろ調べて頂いて有難う御座います。

2009/11/23 21:30:06

その他の回答(2件)

id:b-wind No.1

b-wind回答回数3344ベストアンサー獲得回数4402009/11/22 18:04:05

ポイント27pt

LBP-250機種仕様

えらく懐かしい名前だな。

CAPT 対応機は機能の大部分をドライバに頼っていたから昔は Linux で動作させることは不可能だった。

特殊な機構であるため Samba によるプリントサーバー代替も市販プリントサーバーによる動作も不可だ。


Linux 対応状況 (レーザビームプリンタ)

今は一応 Canon 自身がドライバを出しているようだが対応機種には含まれていない。

該当機種の PPD ファイルが用意できれば可能性は無くは無いが Canon が Linux 対応に

それほど積極的ではないこともあるし難しいだろうな。


ちなみに「Linux」導入は初めてです。

可能性は0ではないとはいえ相当の苦労になる。ほぼ不可能といったほうが正しい。

id:nandemokiitemiru

難しいですか。「PPD」ファイルが用意されれば可能だけれども、キヤノンしか用意できないということでしょうか。

2009/11/22 22:15:10
id:azuco1975 No.2

azuco1975回答回数613ベストアンサー獲得回数162009/11/22 19:23:21

ポイント27pt

http://buffalo.jp/products/catalog/network/printserver.html

プリンターサーバーを導入すれば、LINUXでもOKです。

id:nandemokiitemiru

実は、プリンタサーバの代わりとして利用していないデスクトップPCにLINUXを導入しようと考えたのです。

2009/11/22 22:14:28
id:gogg45 No.3

gogg45回答回数117ベストアンサー獲得回数182009/11/23 18:51:14ここでベストアンサー

ポイント26pt

Windows2000がプリインストールされており、付属のケーブルが使える中古のパソコンを用意して、Windows2000用のプリンタドライバをインストールし、プリンタサーバにするのが確実だと思います。

そうすればXPからもVistaや7からも使えるんじゃないでしょうか。

> プリントサーバの方が楽かと。

> http://buffalo.jp/products/catalog/network/printserver.html

いや、そこにLBP-250対応のプリンタサーバは無いし^^

以下のようにIO-DATAとBUFFALOにはLBP-250対応のプリントサーバないようです。

http://www.iodata.jp/support/qanda/answer/s6971.htm

http://buffalo.jp/qa/pserver/b04i0010.html

> レーザプリンタの一覧が下部に有るだけで、上部の個別ドライバの対象品には有りません。

さすがに対応プリンタくらいは見てました。

Ghostscriptなどでいけるんじゃないかと思い「がんばってください」と書いたのですが、キヤノン独自仕様で難しいらしいですね。

正直なところ、XP以降で使うのであればLBP-250は諦めたほうがいいと思うのですが、どうしてもLBP-250を使うしかないのであれば、先に書いたようにWindows2000をプリンタサーバにするしかないと思います。

id:nandemokiitemiru

既存のプリンタサーバじゃあ無理で、やはりWindows2000しかないですか。いろいろ調べて頂いて有難う御座います。

2009/11/23 21:30:06
  • id:gogg45
    Linux用のプリンタドライバはあるみたいです。がんばってみてください。

    Linux 対応状況 (レーザビームプリンタ)
    http://cweb.canon.jp/e-support/qa/1055/app/servlet/qadoc?qa=036585

    XP以降で使われるなら買いなおしたほうが早いかもしれませんが・・・
  • id:darkwood
    > Linux 対応状況 (レーザビームプリンタ)
    > http://cweb.canon.jp/e-support/qa/1055/app/servlet/qadoc?qa=036585
     いや、そこには無いし。レーザプリンタの一覧が下部に有るだけで、上部の個別ドライバの対象品には有りません。vine5のプリンタ一覧には無いので、多分、デフォルトではサポートしていないハズ。以下にも無かったので、無さそうな感じです。ちなみに、32Bit用のドライバは、64Bit環境ではそのままでは使えない事が多いです。
    http://www.openprinting.org/driver_list.cgi
     XP用のドライバも無いので、これも無理そう。linuxにはWindows用ファイルサーバ機能としてsambaがあり。このsambaにプリンタ共有機能も有りますので、win2Kからなら共有したLinuxに接続されているプリンタへの印刷は可能ですが、その場合、XpもLinuxも、一旦、 wik2kへファイルを転送して、win2kから印刷する必要があります。つまり、プリンタはlinuxに接続されているのにドライバが無いので、 linuxからの直接の印刷は出来ないという事になります。従って、個人環境なら買い換えた方が早いかと。業務だと、そんな簡単には買い換え出来ないという事はあるかもしれませんが。又、共有するくらいなら、プリントサーバの方が楽かと。
    http://buffalo.jp/products/catalog/network/printserver.html
     所で、Ubuntuについて質問するならubuntu-jpのメーリングリストの方が良いかと。
    https://lists.ubuntu.com/mailman/listinfo/ubuntu-jp
  • id:b-wind
    >「PPD」ファイルが用意されれば可能だけれども
    可能とは言っていない。可能かもしれないだけ。
    それもかなり情報収集と苦労の上で1割も可能性は無いだろうね。
    そもそも配布されてるアプリケーションも書いてある以外のディストリビューションで動く保証は
    どこにも無い。

    そういう独自機能を使うことで廉価にしたモデルだからそれはどうしようもない。
    別件ではあるが自分も同系機種を持っていたことがあるが紙詰まりがひどくてひどく使い勝手が悪かった。

    廉価レーザープリンタが欲しいなら素直に brother か DELL あたりを選んだほうがよほどいい。
  • id:darkwood
    > プリンターサーバーを導入すれば、LINUXでもOKです。
     プリンターサーバーじゃなくて、プリン[ ト ]サーバ。それと、これだけじゃ印刷は出来ません。別途、プリンタのドライバが必要です。
  • id:b-wind
    > プリンターサーバーじゃなくて、プリン[ ト ]サーバ。それと、これだけじゃ印刷は出来ません。
    結局あっても使えないけどね。この機種の場合。
    双方向印刷対応の専用品しか使えない。
    http://okwave.jp/qa1001691.html

    せめてUSBに対応してるやつならいまどきはやりのUSBデバイスサーバーでいける可能性が残ってたけど
    それもないし。
  • id:darkwood
    > 双方向印刷対応の専用品しか使えない。
    > http://okwave.jp/qa1001691.html
     ありゃ〜。XP用のドライバも有りませんし、無理じゃないかな〜。
    http://cweb.canon.jp/drv-upd/lasershot/drv_winxp.html
  • id:b-wind
    >ありゃ〜。XP用のドライバも有りませんし
    2000 用のドライバで代用可能。
    http://cweb.canon.jp/drv-upd/lasershot/drv_winxp.html

    まぁ、買い換えをお勧めするけどね。
    http://kakaku.com/item/00600711480/
    http://kakaku.com/item/00600711481/
    標準でカセット給紙だから場所も取らないし、LBP の様な紙詰まりも無い。

  • id:gogg45
    > 2000 用のドライバで代用可能。
    > http://cweb.canon.jp/drv-upd/lasershot/drv_winxp.html

    2000のドライバを使えるのはXPsp1までらしいです。
    手元にないので確認できませんが、sp2に上げたら使えなくなったという情報がたくさんありますので間違いないかと。2000じゃなくてXPsp1をプリンタサーバにする手もありますが、XPにsp2が当たってないほうがレアかもしれません・・・

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません